## [appimage file "magic numbers"][1]
`xxd ./some.AppImage | head -n 1`
Note: If no known magic numbers are found, it might still be possible to process as a type-1 appimage
- appimage type-1: bytes[8:11] -> 41h 49h 01h 00h
- appimage type-2: bytes[8:11] -> 41h 49h 02h 00h

## Appimage standalone run-time
[runtime-x86_64](https://github.com/AppImage/type2-runtime/releases)

## Steps to integrate/install an appimage - type-2
1. Check the magic number matchs 41490200h
2. use [runtime][2] to get files from appimage

[1]: https://github.com/AppImage/AppImageKit/issues/830#issuecomment-620804428
[2]: https://github.com/AppImage/type2-runtime/releases/download/continuous/runtime-x86_64